import 'option.dart';
import 'terminal.dart';

final _term = const Terminal();

class Prompter {
  bool ask_binary(String prompt) {
    _term.clearScreen();
    _term.printPrompt('$prompt (y/n)');
    _term.printInputPrompt();
    final input = _term.collectInput();
    try {
      if (input[0].toUpperCase() == 'Y') {
        return true;
      } else if (input[0].toUpperCase() == 'N') {
        return false;
      } else {
        return ask_binary('Invalid Selection...' + '\n' + prompt);
      }
    } catch (err) {
      return ask_binary('Invalid Selection...' + '\n' + prompt);
    }
  }

  ask_MultiChoice(String prompt, List<Option> options) {
    _term.clearScreen();
    _term.printPrompt(prompt);
    _term.printOptions(options);
    try {
      final input = _term.collectInput();
      if ((int.parse(input) >= 1) && (int.parse(input) <= options.length)) {
        return options[int.parse(input) - 1].value;
      } else {
        return ask_MultiChoice('Invalid Selection...' + '\n' + prompt, options);
      }
    } catch (err) {
      ask_MultiChoice('Invalid Selection...' + '\n' + prompt, options);
    }
  }
}
