import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    }
    // } else if (Platform.isMacOS) {
    else {
      stdout.writeln('oh no, your on mac');
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  void printInputPrompt() {
    stdout.write('>');
  }

  void printOptions(List<Option> options) {
    // for (var i = 1; i < options.length + 1; i++) {
    //   stdout.writeln('$i) ${options[i - 1].label}');
    // }

    options.asMap().forEach((index, option) {
      stdout.writeln('${index + 1}) ${option.label}');
    });

    stdout.writeln('Enter a choice');
    printInputPrompt();
    // stdout.write('>');
  }
}
